RangeDecoder
Date: 2017-02-08

org.tukaani.xz.rangecoder

## Class RangeDecoder

- java.lang.Object
- - org.tukaani.xz.rangecoder.RangeCoder
  - - org.tukaani.xz.rangecoder.RangeDecoder

- Direct Known Subclasses:
    RangeDecoderFromBuffer, RangeDecoderFromStream

      public abstract class RangeDecoder
      extends RangeCoder

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RangeDecoder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `decodeBit(short[] probs, int index)`
    `int` | `decodeBitTree(short[] probs)`
    `int` | `decodeDirectBits(int count)`
    `int` | `decodeReverseBitTree(short[] probs)`
    `abstract void` | `normalize()`

    - ### Methods inherited from class org.tukaani.xz.rangecoder.RangeCoder

      `initProbs`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RangeDecoder

          public RangeDecoder()

  - ### Method Detail

    - #### normalize

          public abstract void normalize()
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### decodeBit

          public int decodeBit(short[] probs,
                      int index)
                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### decodeBitTree

          public int decodeBitTree(short[] probs)
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### decodeReverseBitTree

          public int decodeReverseBitTree(short[] probs)
                                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### decodeDirectBits

          public int decodeDirectBits(int count)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`